<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| CVS Version: 1.01 
| Author: skpacman
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."guest_tracking_panel/infusion_db.php";

if (file_exists(INFUSIONS."guest_tracking_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."guest_tracking_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."guest_tracking_panel/locale/German.php";
}

$inf_title = $locale['gtp_title'];
$inf_description = $locale['gtp_desc'];
$inf_version = "1.01 ";
$inf_developer = "<a href='https://skpacman.hopto.org/forum/viewthread.php?thread_id=12'>skpacman</a>";
$inf_email = "skpacman@skpacman.hopto.org";
$inf_weburl = "https://skpacman.hopto.org/forum/viewthread.php?thread_id=12";

$inf_folder = "guest_tracking_panel";

$inf_newtable[1] = GTP_GUESTS." (
id int auto_increment not null,
ip varchar(16) not null,
page text not null,
time TIMESTAMP DEFAULT NOW(),
PRIMARY KEY (id)
) ENGINE=MyISAM;";

$inf_newtable[2] = GTP_SETTINGS." (
type varchar(20) not null,
setting varchar(20) not null,
PRIMARY KEY (type)
) ENGINE=MyISAM;";

$inf_insertdbrow[1] = GTP_SETTINGS." (type, setting) VALUES ('onoff', '".$locale['gtp_on']."')";
$inf_insertdbrow[2] = DB_PANELS .
    " (panel_name, panel_filename, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status, panel_restriction) VALUES('" .
    $locale['gtp_title'] . "', 'guest_tracking_panel', '4', '1', 'file', '0', '1', '1', '0')";
	
$inf_droptable[1] = GTP_GUESTS;
$inf_droptable[2] = GTP_SETTINGS;

$inf_deldbrow[1] = DB_PANELS . " WHERE panel_filename='guest_tracking_panel'";

$inf_adminpanel[1] = array(
	"title" => $locale['gtp_admin1'],
	"image" => "image.gif",
	"panel" => "guest_tracking_admin.php",
	"rights" => "GTP"
);
?>